These docs are for v1. Click to read the latest docs for v3.

Create

Use this API to create a geofence. Geofence is a virtual boundary around a geographical area. A geofence can have radius configured up to 10 Miles. Azuga will notify you when your vehicle enters or exits a geofence. This helps you to determine how long your vehicle was in a particular area.

Body Params
string
required

Name of the geofence

string

Name of an existing landmark (One of the following parameters is mandatory - landmarkName, latitude and longitude coordinates, address)

double

Latitude coordinate of the geofence (One of the following parameters is mandatory - landmarkName, latitude and longitude coordinates, address)

double

Longitude coordinate of the geofence (One of the following parameters is mandatory - landmarkName, latitude and longitude coordinates, address)

string

Address of the geofence location (One of the following parameters is mandatory - landmarkName, latitude and longitude coordinates, address)

string
Defaults to Circular

Shape of the geofence, circular or polygonal

int32
required

Radius of the geofence if the fenceType is circular

string
required

Unit of radius (miles, metres, or kilometres) of the geofence, if the fenceType is circular

string
required

Category that the geofence belongs to. Eg: Home, Office, Customer.

string

Geometry of the geofence specifying the vertices(latitude,longitude), if the fenceType is polygonal

string

Color of the geofence

string
required

Name of the group(s) with which the geofence is associated (Either groupNames or vehicleNames is required for the API call)

string
required

Name of the vehicle(s) with which the geofence is associated (Either vehicleNames or groupNames is required for the API call)

string
required

List of email ids of the users who are associated with the administrator

string

Email addresses to which alert mails have to be sent apart from the primary email address

string
required

Mode of alert specifying whether the email should be sent as soon as an event occurs or once in an hour

string
required

Specifies the event (vehicle entry and/or exit) for which an alert needs to be sent

boolean

Boolean value to mute the alert. Set this field to "true" if you would like to mute the alerts for this geofence. By default this field is set to "false".

Responses

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json